window.suplock = false;
function techsubmit() {
    $("#supbtn").hide();
    $("#supprog").show();
    $("#superr").html("");
    if (window.suplock)
        return false;
    window.suplock = true;
    $.ajax({
        url: BP + 'support/async/login',
        type: "POST",
        dataType: "json",
        data: {
            'lemail': $("#lemail").val(),
            'lticket': $("#lticket").val()
        },
        success: function(data) {
            if (data.res != 1) {
                window.suplock = false;
                $("#supbtn").show();
                $("#supprog").hide();
                $("#superr").html(data.loginmsg);
            }
            if (data.res == 1) {
                window.location = BP + "support/tlist";
            }
        }
    });
    return false;
}

function suppost() {
    $("#supbtn").hide();
    $("#supreset").hide();
    $("#supprog").show();
    $("#superr").html("");
    if (window.suplock)
        return false;
    window.suplock = true;
    $.ajax({
        url: BP + 'support/async/post',
        type: "POST",
        dataType: "json",
        data: {
            'ticketid': window.ticketid,
            'message': $("#respmsg").val()
        },
        success: function(data) {
            $("#supbtn").show();
            $("#supreset").show();
            $("#supprog").hide();
            if (data.res != 1) {
                window.suplock = false;
                $("#superr").html(data.error);
            }
            if (data.res == 1) {
                window.suplock = false;
                $("#respmsg").val("");
                supupdate();
            }
        }
    });
    return false;
}

function supupdate() {
    window.techlength = $("#techdynamic table").length;
    $(".supul").hide();
    $.ajax({
        url: BP + 'support/ticket/' + window.ticketid + '/partial',
        dataType: "text",
        success: function(data) {
            $("#techdynamic").html(data);
            $("#techdynamic table").slice(window.techlength).css("background-color","#ffffaa")
                .animate({backgroundColor:$.Color("rgba(0,0,0,0)")},1000);
            $(".techthread").jScrollPane().data('jsp').scrollToElement("#last",true,true);
            $(".supul").fadeIn();
            if (data.indexOf('<!--State is closed-->') != -1)
                $("#rqstate").html("Закрыта");
            else
                $("#rqstate").html("Открыта");
        }
    });
}

function supauto() {
    $("#supau").attr("href",null);
    $("#supau").fadeOut('default',function(){
        $("#supau").remove();
    });
    setInterval(supupdate,30000);
}

function supcaptchupdate() {
    captchaupdate('support','supportcaptcha','supcfield');
}